aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/gna
diff options
context:
space:
mode:
authorTristan Gingold <tgingold@free.fr>2016-07-31 08:55:31 +0200
committerTristan Gingold <tgingold@free.fr>2016-07-31 08:55:31 +0200
commita3d2ba1812a7b899d4e1f752ee49604bb9ff1f92 (patch)
tree9fd170f5eb1b7970dd8a7a9e530587edd8248b1c /testsuite/gna
parenta497e6451cc2b8244395d2abb3e7a3c6a49fe0b2 (diff)
downloadghdl-a3d2ba1812a7b899d4e1f752ee49604bb9ff1f92.tar.gz
ghdl-a3d2ba1812a7b899d4e1f752ee49604bb9ff1f92.tar.bz2
ghdl-a3d2ba1812a7b899d4e1f752ee49604bb9ff1f92.zip
Add testcase for issue #103
Diffstat (limited to 'testsuite/gna')
-rw-r--r--testsuite/gna/issue103/hello.vhdl2
-rwxr-xr-xtestsuite/gna/issue103/testsuite.sh20
2 files changed, 22 insertions, 0 deletions
diff --git a/testsuite/gna/issue103/hello.vhdl b/testsuite/gna/issue103/hello.vhdl
new file mode 100644
index 000000000..5e8ea239d
--- /dev/null
+++ b/testsuite/gna/issue103/hello.vhdl
@@ -0,0 +1,2 @@
+entity hello is
+end hello;
diff --git a/testsuite/gna/issue103/testsuite.sh b/testsuite/gna/issue103/testsuite.sh
new file mode 100755
index 000000000..84e287fd5
--- /dev/null
+++ b/testsuite/gna/issue103/testsuite.sh
@@ -0,0 +1,20 @@
+#! /bin/sh
+
+. ../../testenv.sh
+
+analyze -P. hello.vhdl
+analyze -P=. hello.vhdl
+
+# Cannot use analyze_failure for errors in options.
+if analyze -P= hello.vhdl; then
+ echo "failure expected for -P="
+ exit 1;
+fi
+if analyze -P hello.vhdl; then
+ echo "failure expected for -P"
+ exit 1;
+fi
+
+clean
+
+echo "Test successful"